summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2020-03-06 17:03:40 +0100
committer Willy Sudiarto Raharjo2020-03-06 17:03:40 +0100
commit876a9022916970f22950db82654159a07b5cd650 (patch)
treebefcb358d4b7741bb813a8818b9f265fa5287f51
parent5bd083f9094bd83f2d09a695e8257d78df06d093 (diff)
downloadslackbuilds-876a9022916970f22950db82654159a07b5cd650.tar.gz
gis/proj-data: Added (proj datum grids).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--gis/proj-data/README2
-rw-r--r--gis/proj-data/proj-data.SlackBuild51
-rw-r--r--gis/proj-data/proj-data.info10
-rw-r--r--gis/proj-data/slack-desc19
4 files changed, 82 insertions, 0 deletions
diff --git a/gis/proj-data/README b/gis/proj-data/README
new file mode 100644
index 0000000000..4214b49d32
--- /dev/null
+++ b/gis/proj-data/README
@@ -0,0 +1,2 @@
+proj-data contains shift grids for horizontal and vertical coordinate
+transformations for use with the proj package.
diff --git a/gis/proj-data/proj-data.SlackBuild b/gis/proj-data/proj-data.SlackBuild
new file mode 100644
index 0000000000..f55cea9df5
--- /dev/null
+++ b/gis/proj-data/proj-data.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for proj-data
+# Copyright 2020 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=proj-data
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/usr/share/proj
+tar -C $PKG/usr/share/proj -x -v -f $CWD/$PRGNAM-$VERSION.tar.gz
+chown -R root:root $PKG/usr/share/proj
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/proj/README.DATA $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/proj-data/proj-data.info b/gis/proj-data/proj-data.info
new file mode 100644
index 0000000000..456a3cff79
--- /dev/null
+++ b/gis/proj-data/proj-data.info
@@ -0,0 +1,10 @@
+PRGNAM="proj-data"
+VERSION="1.0"
+HOMEPAGE="https://www.osgeo.org/projects/proj/"
+DOWNLOAD="https://github.com/OSGeo/PROJ-data/releases/download/1.0.0/proj-data-1.0.tar.gz"
+MD5SUM="xx"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="proj"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/proj-data/slack-desc b/gis/proj-data/slack-desc
new file mode 100644
index 0000000000..c62281090f
--- /dev/null
+++ b/gis/proj-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+proj-data: proj-data (proj datum grids)
+proj-data:
+proj-data: proj-data contains shift grids for horizontal and vertical
+proj-data: coordinate transformations for use with the proj package.
+proj-data:
+proj-data:
+proj-data:
+proj-data:
+proj-data:
+proj-data:
+proj-data: